#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		module	ldap
Summary:	LDAP client API for Python
Summary(pl.UTF-8):	API klienckie LDAP dla Pythona
Name:		python-%{module}
Version:	2.4.19
Release:	2
Epoch:		1
License:	Python-like
Group:		Libraries/Python
Source0:	http://pypi.python.org/packages/source/p/python-ldap/%{name}-%{version}.tar.gz
# Source0-md5:	b941bf31d09739492aa19ef679e94ae3
Patch0:		%{name}-sasl2.patch
Patch1:		build.patch
URL:		http://python-ldap.sourceforge.net/
BuildRequires:	cyrus-sasl >= 2.1.0
BuildRequires:	openldap-devel >= 2.4.6
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-modules >= 1:2.5
BuildRequires:	rpm-pythonprov
Requires:	python-modules
Provides:	ldapmodule
Obsoletes:	ldapmodule
Obsoletes:	python-ldapmodule
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
python-ldap provides an object-oriented API to access LDAP directory
servers from Python programs. Mainly it wraps the OpenLDAP client libs
for that purpose.

Additionally the package contains modules for other LDAP-related stuff
(e.g. processing LDIF, LDAPURLs, LDAPv3 sub-schema, etc.).

%description -l pl.UTF-8
Moduł python-ldap dostarcza zorientowane obiektowo API pozwalające na
dostęp do usług katalogowych LDAP z poziomu programów w Pythonie.
Głównie obudowuje w tym celu biblioteki klienckie OpenLDAP.

Dodatkowo pakiet zawiera moduły do innych zadań związanych z LDAP (jak
przetwarzanie LDIF, LDAPURL, podschematy LDAPv3 itp.).

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
%{__python} setup.py build

%if %{with tests}
%{__python} setup.py test

LDAPNOINIT=1 \
PYTHONPATH=$(echo build/lib.linux-*/) \
%{__python} -c "import ldap; print ldap.__version__; ldapo = ldap.initialize('ldap://localhost')"
%endif

%install
rm -rf $RPM_BUILD_ROOT
#PYTHONPATH=$RPM_BUILD_ROOT%{py_sitedir}
%{__python} setup.py install \
	--skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES LICENCE README TODO
%attr(755,root,root) %{py_sitedir}/_ldap.so
%{py_sitedir}/dsml.py[co]
%{py_sitedir}/ldapurl.py[co]
%{py_sitedir}/ldif.py[co]
%{py_sitedir}/ldap
%{py_sitedir}/python_ldap-%{version}-py*.egg-info
%changelog
* Sun Mar 01 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-ldap.git;a=log;h=auto/th/python-ldap-2.4.19-2

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 96f980d
- x32 rebuild
- release 2 (by relup.sh)

* Sun Jan 11 2015 Jan Palus <atler@pld-linux.org> 9190ec6
- up to 2.4.19

* Fri Oct 10 2014 Jan Palus <atler@pld-linux.org> 9cbfe1f
- up to 2.4.18

* Sat Sep 27 2014 Jan Palus <atler@pld-linux.org> e8afb4d
- up to 2.4.17

* Wed Sep 10 2014 Jan Palus <atler@pld-linux.org> 9e51473
- up to 2.4.16
- updated build.patch

* Thu Jul 17 2014 Jakub Bogusz <qboosh@pld-linux.org> 43419cb
- informative descriptions, updated License

* Tue Jul 15 2014 Jan Palus <atler@pld-linux.org> d50d614
- updated patch for 2.4.15

* Tue Jul 15 2014 Jan Palus <atler@pld-linux.org> 4eabe20
- up to 2.4.15

* Tue Jan 07 2014 Jan Rękorajski <baggins@pld-linux.org> 26fdd4c
- 2.4.13

* Wed Jan 30 2013 Elan Ruusamäe <glen@delfi.ee> 7283f34
- md5 fix

* Wed Jan 30 2013 Elan Ruusamäe <glen@delfi.ee> bc02c39
- blah, that odd error was from wrong url syntax!

* Wed Jan 30 2013 Elan Ruusamäe <glen@delfi.ee> 04ae41e
- add test (from reviewboard) that fails with file not found error

* Wed Jan 30 2013 Elan Ruusamäe <glen@delfi.ee> fec0f30
- cleanup bogus paths from build

* Wed Jan 30 2013 Elan Ruusamäe <glen@delfi.ee> e664161
- up to 2.4.10, enable tests

* Sat Jun 02 2012 Caleb Maclennan <caleb@alerque.com> 1bb8b44
- Up to 2.4.9

* Sun Jan 22 2012 zbyniu <zbyniu@pld-linux.org> 78e3418
- up to 2.4.7

* Fri Dec 02 2011 zbyniu <zbyniu@pld-linux.org> 0c88915
- up to 2.4.6

* Mon Sep 05 2011 marti <marti@pld-linux.org> 4b6ce10
- up to 2.4.3

* Sat Jun 04 2011 areq <areq@pld-linux.org> 3256e2a
- 2.4.0

* Fri Feb 25 2011 Caleb Maclennan <caleb@alerque.com> f7d837d
- Up to 2.3.13

